Bug 838328 - --macros not mentioned in the rpmbuild man page
--macros not mentioned in the rpmbuild man page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 09:08 EDT by teknopaul
Modified: 2013-08-01 04:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:01:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description teknopaul 2012-07-08 09:08:39 EDT
Description of problem:
The --macros flag is not documented in man rpmbuild.

Version-Release number of selected component (if applicable):
RPM version 4.9.1.3 

How reproducible:
every time

Steps to Reproduce:
1. man rpmbuild
2.
3.
  
Actual results:
incomplete docs


Expected results:
--macros gets mentioned, without it is not possible to build outside ~/rpmbuild

Additional info:
I understand that this might not be the perfect place to report this issue but www.rpm.org has a private bug trac system that the public are not allowed to enter bugs in.  RPM is obviously pretty core to Fedora.  I'll be happy to submit a doc patch if you can tell me where the code is.
BTW rpm and rpmbuild man pages have no BUGS section.
Comment 1 Panu Matilainen 2012-07-11 06:51:44 EDT
--macros is something you practically never want to mess with. The default location for builds has preciously little to do with --macros either: %_topdir defaults to ~/rpmbuild these days but its always been overridable by simply setting it in ~/.rpmmacros:
%_topdir /some/path

Or alternatively pass --define "_topdir /some/path" on the cli.
Comment 2 Fedora End Of Life 2013-07-03 22:18:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:01:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.